<?php 
function edit_agent_details(){
	global $wpdb;
	$edit_slug = $_GET['agent_slug'];
	$get_edit_term_details = get_term_by('slug', $edit_slug, 'real_estate_agents_tax');
	$edit_agent_details = get_single_agent_for_edit($get_edit_term_details->term_id);	
	//echo '<pre>';print_r($get_edit_term_details);
	//print_r($edit_agent_details);	
	if(isset($_POST['agent_edit'])){		
		if((isset($_POST["agent"]['agent_name']) && empty($_POST["agent"]['agent_name']))){
			$agent_error= new WP_Error('err', __("Agent Name is required to create agent details"));
		}		
		elseif((isset($_POST["agent"]['agent_contact']) && empty($_POST["agent"]['agent_contact']))){
			$agent_error= new WP_Error('err', __("Agent Contact is required to create agent details"));
		}
		elseif((isset($_POST["agent"]['agent_contact']) && !is_numeric($_POST["agent"]['agent_contact']))){
			$agent_error= new WP_Error('err', __("Agent Contact enter only phone number"));
		}
		elseif((isset($_POST["agent"]['agent_email']) && empty($_POST["agent"]['agent_email']))){
			$agent_error= new WP_Error('err', __("Agent Email is required to create agent details"));
		}	
		elseif((isset($_POST["agent"]['agent_email']) && !is_email($_POST["agent"]['agent_email']))){
			$agent_error= new WP_Error('err', __("Agent Email address isn&#8217;t correct"));
		}				
		else
		{	$agent_name= $_POST["agent"]['agent_name'];
			$agent_contact_detail= $_POST["agent"]['agent_contact'];
			$agent_email=$_POST["agent"]['agent_email'];
			$agent_desc=$_POST["agent"]['agent_description'];
			$agent_photo = $_POST["agent"]['agent_upload_image'];			
			wp_update_term( $get_edit_term_details->term_id, 'real_estate_agents_tax', array('name'=>$agent_name,'slug' => sanitize_title($agent_name)));											
			$get_agent_details = $_POST['agent'];			
			$table  = $wpdb->prefix.'agents_metadata';									
			foreach($get_agent_details as $agent => $value){	
				$agent_meta_data_id = get_agent_meta_id($get_edit_term_details->term_id,$agent);						
				$data = array(				
				'agent_term_id'=>$get_edit_term_details->term_id,
				'agent_meta_key'=>$agent,
				'agent_meta_value'=>$value);				
				$wpdb->update($table, $data, array('agent_meta_id'=>$agent_meta_data_id[0]->agent_meta_id));				
			}					
			$old_url = AGENTS_LIST;
			$new_url = add_query_arg( 'edited', 1,$old_url);	
			wp_redirect($new_url);
			ob_end_flush();			
			

		}
	}
	?>
<link rel="stylesheet" href="<?php echo get_bloginfo('siteurl');?>wp-content/plugins/agents/css/admin.css" />
<div class="wrap">
<?php agents_heading("create_agent"); ?>
<?php if (isset($agent_error) && is_wp_error($agent_error) )
        echo "<div class='wrap'><div class='error below-h2'><p>".$agent_error->get_error_message()."</p></div></div>";//updated ?>
<div class='form-wrap' style="width:450px;">
  <h3>Edit Agent</h3>
  <form id="form_edit_agent" action='<?php echo EDIT_AGENTS; ?>&amp;agent_slug=<?php echo $get_edit_term_details->slug;?>' method='post' enctype='multipart/form-data'>
    <div class="form-field">
      <label for='agent[name]'>Agent Name</label>
      <input type='text' name='agent[agent_name]' class='name' id='agent[name]' value="<?php echo $edit_agent_details[0]->agent_meta_value;?>" />
      <p>It is usually all lowercase,uppercase and contains only letters, numbers, and hyphens.</p>
    </div>
    <div class="form-field">
      <label for='agent[contact]'>Agent Contact Number</label>
      <input type='text' name='agent[agent_contact]' class='name' id='agent[contact]' value="<?php echo $edit_agent_details[1]->agent_meta_value;?>" />
      <p>It is usually only numbers.</p>
    </div>
    <div class="form-field">
      <label for='agent[email]'>Agent Email ID</label>
      <input type='text' name='agent[agent_email]' class='name' id='agent[email]' value="<?php echo $edit_agent_details[2]->agent_meta_value;?>" />
    </div>
    <div class="form-field">
      <label for='agent[description]'>About Agent</label>
      <textarea class="name" id="agent[description]" name="agent[agent_description]"><?php echo $edit_agent_details[3]->agent_meta_value;?></textarea>     
    </div>
    <div class="form-field">
		<label for="upload_image">
        <input id="upload_image" type="text" size="36" name="agent[agent_upload_image]" value="<?php echo $edit_agent_details[4]->agent_meta_value;?>" />
        <input id="upload_image_button" type="button" value="Upload Image" />
        <br />Upload an image for the agents details.
        </label>        
	</div>        
    <p class='submit'>
      <input type="submit"  name="agent_edit" class="button-primary" value="Update Agent">
    </p>
  </form>
</div>
<?php
	}


?>